ChangeSet 1.797.131.1, 2002/11/30 00:13:57-08:00, steve@kbuxd.necst.nec.co.jp

[PATCH] fs/namei.c fix

One of Greg KH's security cleanups reversed the sense of a test.
Without this patch, 2.5.50 oopses at boot.  Please apply.


diff -Nru a/fs/namei.c b/fs/namei.c
--- a/fs/namei.c	Thu Dec  5 01:19:28 2002
+++ b/fs/namei.c	Thu Dec  5 01:19:28 2002
@@ -1648,7 +1648,7 @@
 		error = -EBUSY;
 	else {
 		error = security_inode_unlink(dir, dentry);
-		if (error)
+		if (!error)
 			error = dir->i_op->unlink(dir, dentry);
 	}
 	up(&dentry->d_inode->i_sem);
